- name: Docker quota
  hosts: all
  become: true
  pre_tasks:
    - name: update packages
      apt:
        update_cache: true
    - name: add GPG key
      apt_key:
        url: https://download.docker.com/linux/ubuntu/gpg
        state: present
    - name: add docker repository to apt
      apt_repository:
        repo: deb https://download.docker.com/linux/ubuntu bionic stable
        state: present
    - name: Update apt and install docker-ce and docker-compose
      apt:
        pkg:
          - docker-ce
          - docker-compose
        state: latest
        update_cache: true
    - name: is docker running
      service:
        name: docker
        state: started
        enabled: yes
    - name: quota
      docker_container:
        name: auth
        state: started
        image: "anisbastide/auth"
        pull: true
